/* Cheng Kang Huey A23CS0216 Section 10 */

* {
    box-sizing: border-box;
}

html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}

body {
    background-color: #010103;
    background-image: url("images/photo-output.webp");
    background-repeat: no-repeat;
    background-size: cover;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    flex: 1;
}

main {
    flex: 1;
}

h1 {
    margin: 0;
    font-size: 2.5rem;
}

section h1 {
    font-size: 2.5rem;
}

h2 {
    margin: 0;
    font-size: 2rem;
}

p {
    margin: 0;
    font-size: 1.3rem;
}

a {
    color: aqua;
}

a:hover {
    color: rgb(0, 184, 184);
}

a:active {
    color: rgb(0, 88, 88);
}

.menu-container {
    display: flex;
    flex-direction: column;
    background-color: #010103;
    justify-content: center;
    align-items: center;
    height: auto;
    padding: 0;
}

.menu-list {
    display: flex;
    flex-direction: column;
    list-style-type: none;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 0;
    margin: 0;
}

.menu-list li {
    width: 100%;
    text-align: center;
}

.menu-list a {
    display: block;
    padding: 1rem;
    color: #FFFFFF;
    text-decoration: none;
    font-size: 0.9rem;
    width: 100%;
    text-align: center;
}

.menu-list a.active {
    border-bottom: 0.2rem solid #FFFFFF;
    padding-bottom: 1.2rem;
}

.menu-list a:hover {
    color: #ececec;
    background-color: #14142b;
}

.banner {
    display: flex;
    padding: 2.5rem;
    margin: 2rem 0;
    align-items: center;
    text-align: center;
    color: #FFFFFF;
}

.banner-text {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.recent {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 2.5rem;
    color: #FFFFFF;
    background-color: rgba(234, 216, 255, 0.2);
}

.activity {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
    flex-direction: column;
    text-align: center;
}

.activity img {
    width: 14rem;
    height: 14rem;
    object-fit: cover;
    border-radius: 1rem;
    flex-shrink: 0;
}

#about {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto auto;
    gap: 2rem;
    padding: 2.5rem;
    color: #FFFFFF;
}

#about-image {
    grid-column: 1 / -1;
    grid-row: 1 / 2;
    align-self: center;
}

#about-image img {
    aspect-ratio: 0.84 / 1;
    width: 100%;
    height: auto;
    border-radius: 0.8rem;
}

#about-info1 {
    grid-column: 1 / -1;
    grid-row: 2 / 3;
    align-self: center;
    text-align: justify;
}

#about-info2 {
    grid-column: 1 / -1;
    grid-row: 3 / 4;
    align-self: center;
}

#about-info3 {
    grid-column: 1 / -1;
    grid-row: 4 / 5;
    align-self: center;
}

.list {
    list-style-type: square;
    line-height: 1.5;
}

.project-container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    align-items: stretch;
}

.project-items {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #FFFFFF;
    background-color: rgba(234, 216, 255, 0.2);
    margin: 1rem;
    padding: 1.5rem;
    border-radius: 0.5rem;
    max-width: 25rem;
    word-wrap: break-word;
    text-align: justify;
}

.project-items h2 {
    text-align: center;
}

.project-items img {
    margin: 10%;
    width: 100%;
    height: auto;
}

#contact-table {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
    padding: 2.5rem;
    color: #FFFFFF;
}

#contact-info3 {
    grid-column: 2 / 3;
    grid-row: 3 / 4;
}

#contact-info3 img{
    width: 2.8rem;
    height: 2.8rem;
    margin-right: 1rem;
    transition: transform 0.3s ease;
}

#contact-info3 img:hover{
    transform: scale(1.2);
    cursor: pointer;
}

button {
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed; 
    border: none;
    color: #FFFFFF;
    background-color: transparent;
    bottom: 2rem; 
    right: 2rem;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    padding: 0;
    transition: transform 0.3s ease;
}

button:hover {
    transform: scale(1.1);
    cursor: pointer;
}

button img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 50%;
}

.footer {
    display: flex;
    justify-content: center;
    padding: 1.5rem;
    background-color: #010103;
    margin: 0;
}

.footer img {
    width: auto;
    height: 3rem;
    padding: 0.3rem;
    transition: transform 0.3s ease;
}

.footer img:hover {
    transform: scale(1.1);
    cursor: pointer;
}


@media (min-width: 769px) {
    .menu-container {
        flex-direction: row;
        height: 4rem;
    }

    .menu-list {
        flex-direction: row;
        width: auto;
    }

    .menu-list li {
        width: auto;
        text-align: center;
    }

    .menu-list a {
        padding: 1.5rem;
        width: auto;
    }
    
    .banner {
        text-align: start;
    }

    .activity {
        flex-direction: row;
        text-align: left;
    }

    #about {
        grid-template-columns: 1fr 2fr;
        grid-template-rows: auto auto auto;
    }

    #about-image {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
    }

    #about-info1 {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
    }

    #about-info2 {
        grid-column: 2 / 3;
        grid-row: 2 / 3;
    }

    #about-info3 {
        grid-column: 2 / 3;
        grid-row: 3 / 4;
    }

    #contact-table {
        grid-template-columns: 1fr 3fr;
    }

    #contact-info-header1,
    #contact-info-header2,
    #contact-info-header3 {
        grid-column: 1;
    }

    #contact-info1,
    #contact-info2,
    #contact-info3 {
        grid-column: 2;
    }

    #contact-info3 {
        justify-content: flex-start;
    }

    .footer {
        justify-content: flex-start;
        padding-left: 2rem;
    }

}
